﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace TelerikTest.Models
{
	public class MyModel
	{
		public int Id { get; set; }
		public string Name { get; set; }
        
        [DataType( DataType.Date )]
        public DateTime Date { get; set; }
        
        [UIHint( "Events" )]
        public List<Event> Events { get; set; }
    }

    public class Event
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}