﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<TelerikTest.Models.Event>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Index2</h2>

    <% Html.Telerik().Grid<TelerikTest.Models.MyModel>()
    .Name( "tnmGrid" )
    .DataKeys( keys => keys.Add( k => k.Id ) )
    .DataBinding( d => d.Ajax().Select( "_Select", "Home" )
                                .Update( "_Save", "Home" )
                                .Insert( "_Save", "Home" )
    )
    .ToolBar( t => t.Insert() )
    .Columns( c =>
    {
        c.Bound( t => t.Name );
        c.Bound( k => k.Date ).Width( 120 ).Format( "{0:d}" );
        c.Command( commands =>
        {
            commands.Edit();
        } );
    } )
    .Sortable()
    .Editable( e => e.Mode( GridEditMode.InForm ) )
    .ClientEvents(e => e.OnSave("onSave"))
    .EnableCustomBinding( true )
    .Pageable( p => p.Total( ViewData["total"] != null ? ( int )ViewData["total"] : 0 ) )
    .Render(); 
%>

    <script type="text/javascript">
        function onSave(e) {
            var values = e.values;
            
            values['Events'] = $(e.form).find(':checkbox[name=Events]:checked').map(function() {return this.value; } );
        }
    </script>
</asp:Content>
